### Signal

# Gtk CellRendererText::edited

#### Declaration

    void
    edited (
      GtkCellRendererText self,
      gchar* path,
      gchar* new_text,
      gpointer user_data
    )

#### Description [src]

This signal is emitted after `renderer` has been edited.

It is the responsibility of the application to update the model and store `new_text` at the position indicated by `path`.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`path` | `gchar*`
| The path identifying the edited cell.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`new_text` | `gchar*`
| The new text.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.